Bug 460330 - Flickering portions of screen
Flickering portions of screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-08-27 12:09 EDT by Bastien Nocera
Modified: 2008-09-26 20:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 20:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log on my system (39.71 KB, application/octet-stream)
2008-08-27 12:09 EDT, Bastien Nocera
no flags Details
Xorg.0.log on Vaio SZ3XWP/C (28.67 KB, text/plain)
2008-08-31 09:25 EDT, Adam Huffman
no flags Details

  None (edit)
Description Bastien Nocera 2008-08-27 12:09:27 EDT
Created attachment 315118 [details]
Xorg.0.log on my system

xorg-x11-drv-i810-2.4.2-1.fc10.i386

When starting up the system, when GDM is started, portions of the screen will flicker very quickly. This seems to only appear as new applications are launched.

Something in the GNOME desktop might be probing the display for every started app though:
(II) intel(0): EDID vendor "LCD", prod id 22754
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x800"x0.0   72.10  1280 1296 1344 1448  800 802 804 830 -hsync -vsync (49.8 kHz)
(II) intel(0): EDID vendor "LCD", prod id 22754
(EE) intel(0): underrun on pipe B!
Comment 1 Bastien Nocera 2008-08-27 12:23:59 EDT
Note that I'm using gtk2-2.13.7-4.fc10.i386 with that fix in:
https://www.redhat.com/archives/fedora-extras-commits/2008-August/msg05169.html
Comment 2 Adam Huffman 2008-08-31 09:24:12 EDT
I'm also seeing this - flickering at graphical login - and lots of "underrun on pipe B' messages.  The only difference is I'm on x86_64 - a Vaio SZ3.

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

The desktop seems a little slower than normal and the font in the GDM login screen seems larger than before, implying a lower resolution.
Comment 3 Adam Huffman 2008-08-31 09:25:29 EDT
Created attachment 315443 [details]
Xorg.0.log on Vaio SZ3XWP/C
Comment 4 Andrew Farris 2008-09-14 21:59:21 EDT
I am not seeing any flicker on application startup, but I am seeing a 'glitch' or slight delay in redraw sometimes and it seems to wait until some input before redrawing.  For instance when I login to gnome, I see the desktop background appear, but nothing else (mouse cursor spinner stops moving) until I move the mouse, then suddenly the desktop will redraw and menus will appear (mouse cursor spinner starts again).

This happens every time I login (just a normal gnome session with metacity), and I've waited up to several minutes with this redraw hang then moved the mouse to have it instantly redraw; this is not just a matter of cpu load while starting up apps.  It seems that applications opening new windows also do it very slowly right now, sometimes staying blank white for much longer than normally should.

Also running intel GMA950, macbook 2,1, 2.16G c2d, rawhide fresh installed 20080912.
Comment 5 Adam Huffman 2008-09-15 04:22:42 EDT
I now suspect this is related to the synaptics touchpad driver, as I'm still seeing the problem on my laptop, but not on a desktop also running Rawhide.
Comment 7 Bastien Nocera 2008-09-26 20:22:11 EDT
This is already fixed in the kernel. It was a regression with the modesetting code. Even when modesetting wasn't used, interrupts weren't enabled properly on the graphics card. Dave Airlie fixed this during Plumbers IIRC.

Note You need to log in before you can comment on or make changes to this bug.